KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubectl label - Update the labels on a resource

SYNOPSIS

kubectl label [OPTIONS]

DESCRIPTION

Update the labels on a resource.

    •   A label key and value must begin with a letter or number, and may contain letters, numbers, hyphens, dots, and underscores, up to 63 characters each.

    •   Optionally, the key can begin with a DNS subdomain prefix and a single '/', like example.com/my-app.

    •   If --overwrite is true, then existing labels can be overwritten, otherwise attempting to overwrite a label will result in an error.

    •   If --resource-version is specified, then updates will use this resource version, otherwise the existing resource-version will be used.

OPTIONS

--all=false
    Select all resources, in the namespace of the specified resource types

-A, --all-namespaces=false
    If true, check the specified action in all namespaces.

--allow-missing-template-keys=true
    If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats.

--dry-run="none"
    Must be "none", "server", or "client". If client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource.

--field-manager="kubectl-label"
    Name of the manager used to track field ownership.

--field-selector=""
    Selector (field query) to filter on, supports '=', '==', and '!='.(e.g. --field-selector key1=value1,key2=value2). The server only supports a limited number of field queries per type.

-f, --filename=[]
    Filename, directory, or URL to files identifying the resource to update the labels

-k, --kustomize=""
    Process the kustomization directory. This flag can't be used together with -f or -R.

--list=false
    If true, display the labels for a given resource.

--local=false
    If true, label will NOT contact api-server but run locally.

-o, --output=""
    Output format. One of: (json, yaml, name, go-template, go-template-file, template, templatefile, jsonpath, jsonpath-as-json, jsonpath-file).

--overwrite=false
    If true, allow labels to be overwritten, otherwise reject label updates that overwrite existing labels.

--record=false
    Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists.

-R, --recursive=false
    Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory.

--resource-version=""
    If non-empty, the labels update will only succeed if this is the current resource-version for the object. Only valid when specifying a single resource.

-l, --selector=""
    Selector (label query) to filter on, supports '=', '==', '!=', 'in', 'notin'.(e.g. -l key1=value1,key2=value2,key3 in (value3)). Matching objects must satisfy all of the specified label constraints.

--show-managed-fields=false
    If true, keep the managedFields when printing objects in JSON or YAML format.

--template=""
    Template string or path to template file to use when -o=go-template, -o=go-template-file. The template format is golang templates [http://golang.org/pkg/text/template/#pkg-overview].

OPTIONS INHERITED FROM PARENT COMMANDS

--as=""
    Username to impersonate for the operation. User could be a regular user or a service account in a namespace.

--as-group=[]
    Group to impersonate for the operation, this flag can be repeated to specify multiple groups.

--as-uid=""
    UID to impersonate for the operation.

--cache-dir="/home/username/.kube/cache"
    Default cache directory

--certificate-authority=""
    Path to a cert file for the certificate authority

--client-certificate=""
    Path to a client certificate file for TLS

--client-key=""
    Path to a client key file for TLS

--cluster=""
    The name of the kubeconfig cluster to use

--context=""
    The name of the kubeconfig context to use

--disable-compression=false
    If true, opt-out of response compression for all requests to the server

--insecure-skip-tls-verify=false
    If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure

--kubeconfig=""
    Path to the kubeconfig file to use for CLI requests.

--match-server-version=false
    Require server version to match client version

-n, --namespace=""
    If present, the namespace scope for this CLI request

--password=""
    Password for basic authentication to the API server

--profile="none"
    Name of profile to capture. One of (none|cpu|heap|goroutine|threadcreate|block|mutex)

--profile-output="profile.pprof"
    Name of the file to write the profile to

--request-timeout="0"
    The length of time to wait before giving up on a single server request. Non-zero values should contain a corresponding time unit (e.g. 1s, 2m, 3h). A value of zero means don't timeout requests.

-s, --server=""
    The address and port of the Kubernetes API server

--tls-server-name=""
    Server name to use for server certificate validation. If it is not provided, the hostname used to contact the server is used

--token=""
    Bearer token for authentication to the API server

--user=""
    The name of the kubeconfig user to use

--username=""
    Username for basic authentication to the API server

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

--warnings-as-errors=false
    Treat warnings received from the server as errors and exit with a non-zero exit code

EXAMPLE
      # Update pod 'foo' with the label 'unhealthy' and the value 'true'
      kubectl label pods foo unhealthy=true

      # Update pod 'foo' with the label 'status' and the value 'unhealthy', overwriting any existing value
      kubectl label --overwrite pods foo status=unhealthy

      # Update all pods in the namespace
      kubectl label pods --all status=unhealthy

      # Update a pod identified by the type and name in "pod.json"
      kubectl label -f pod.json status=unhealthy

      # Update pod 'foo' only if the resource is unchanged from version 1
      kubectl label pods foo status=unhealthy --resource-version=1

      # Update pod 'foo' by removing a label named 'bar' if it exists
      # Does not require the --overwrite flag
      kubectl label pods foo bar-

SEE ALSO

kubectl(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!